<html>
    <head>
            <link href="https://vjs.zencdn.net/7.6.5/video-js.css" rel="stylesheet">
        <title>video test</title>
    </head>
    <body>
        <video-js id=vid1 width=600 height=300 class="vjs-default-skin" controls>
            <source
               src="https://murpunktat.gitlab.io/btc/ipfs-video/index.m3u8"
               type="application/x-mpegURL">
          </video-js>
          <script src="https://vjs.zencdn.net/7.6.5/video.js"></script>
          <script src="videojs-http-streaming.min.js"></script>
          <script>
          var player = videojs('vid1');
          player.play();
          </script>
    </body>
</html>